Bug 838545 - ovirt-engine-backend: we automatically attach rhev-tools even for vm's which have other or unassigned os selected
ovirt-engine-backend: we automatically attach rhev-tools even for vm's which ...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Oved Ourfali
Tomas Dosek
: 828876 (view as bug list)
Depends On: 841863
  Show dependency treegraph
Reported: 2012-07-09 08:27 EDT by Dafna Ron
Modified: 2012-12-04 15:00 EST (History)
11 users (show)

See Also:
Fixed In Version: si13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 15:00:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
logs (7.99 MB, application/x-gzip)
2012-07-09 10:06 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-07-09 08:27:32 EDT
Description of problem:

we automatically attached rhev-tools when it exists in iso domain even when OS selected is other or unassigned. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. attach iso domain with rhev-tools.iso in it
2. create a vm with unassigned/other os 
3. run the vm
Actual results:

we attach the rhev-tools automatically

Expected results:

we should not attach the tools automatically

Additional info: logs
Comment 1 Dafna Ron 2012-07-09 10:06:10 EDT
Created attachment 597080 [details]
Comment 2 Oved Ourfali 2012-07-29 08:51:50 EDT
Proposed patch:

New behaviour - only attach the RHEV tools ISO on Windows VMs (instead of non-Linux ones).
Comment 3 Oved Ourfali 2012-07-29 11:14:38 EDT
Commit: 1c8ea26e633d483942a4ed4a561235e461f31d97

Comment 4 Omer Frenkel 2012-07-30 02:50:28 EDT
*** Bug 828876 has been marked as a duplicate of this bug. ***
Comment 5 Tomas Dosek 2012-08-10 02:49:43 EDT
Verified - si13 - ISO with RHEV Tools is no longer mounted automatically for non-windows VMs.

Note You need to log in before you can comment on or make changes to this bug.